part of cresce_ui;

class CDataSelected extends StatelessWidget {
  final Uint8List? image;
  final String label;

  const CDataSelected({Key? key, this.image, required this.label})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return CSmallModal(
      size: const Size(180, 87),
      gradient: const LinearGradient(
        begin: Alignment(0.0, -1.0),
        end: Alignment(0.0, 1.0),
        colors: [Color(0xff2eb3a2), Color(0xff1f7267)],
        stops: [0.0, 1.0],
      ),
      child: Padding(
        padding: const EdgeInsets.all(12.0),
        child: Row(
          children: [
            CCircle(size: const Size(47, 47), image: image),
            const SizedBox(width: 6),
            CText(label: label, style: CTextStyles.captionSecondary),
          ],
        ),
      ),
    );
  }
}
