part of cresce_ui;

class CMonthNavigator extends StatefulWidget {
  final void Function(DateTime date)? onChange;
  final double? width;

  const CMonthNavigator({
    Key? key,
    this.onChange,
    this.width,
  }) : super(key: key);

  @override
  State<CMonthNavigator> createState() => _CMonthNavigatorState();
}

class _CMonthNavigatorState extends State<CMonthNavigator> {
  late DateTime _date;

  @override
  void initState() {
    super.initState();
    _date = DateTime.now();
    _date = DateTime(_date.year, _date.month, _date.day);
  }

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      width: widget.width,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[
          GestureDetector(
            onTap: () {
              setState(() {
                _date = _date.subtract(Duration(days: _date.day + 1));
                _date = DateTime(_date.year, _date.month, 1);
              });
              widget.onChange?.call(_date);
            },
            child: Padding(
              padding: const EdgeInsets.only(left: 8.0, bottom: 8.0, top: 8.0),
              child: Text('<', style: CTextStyles.fieldPrimary),
            ),
          ),
          Text(
            DateFormat('MMMM/yy').format(_date),
            style: CTextStyles.fieldPrimary,
          ),
          GestureDetector(
            onTap: () {
              setState(() {
                _date = _date.add(Duration(days: _date.day + 30));
                _date = DateTime(_date.year, _date.month, 1);
              });
              widget.onChange?.call(_date);
            },
            child: Padding(
              padding: const EdgeInsets.only(left: 8.0, bottom: 8.0, top: 8.0),
              child: Text('>', style: CTextStyles.fieldPrimary),
            ),
          ),
        ],
      ),
    );
  }
}
