part of cresce_ui;

class CThumbnailCarousel extends StatelessWidget {
  final List<CCarouselItem> items;
  const CThumbnailCarousel({Key? key, required this.items}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: 243.0,
      child: ListView(
        shrinkWrap: true,
        clipBehavior: Clip.none,
        scrollDirection: Axis.horizontal,
        children: items
            .map(
              (item) => Padding(
                padding: const EdgeInsets.symmetric(horizontal: 10.0),
                child: CThumbnail(
                  title: item.title,
                  subTitle: item.subTitle,
                  image: item.image,
                ),
              ),
            )
            .toList(),
      ),
    );
  }
}

class CCarouselItem {
  final String title;
  final String? subTitle;
  final Uint8List? image;

  CCarouselItem({required this.title, this.subTitle, this.image});
}
